> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trackstarhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Cart Products

> Returns all Products for the Cart connection associated with the provided access token.



## OpenAPI

````yaml get /cart/products
openapi: 3.1.0
info:
  description: >

    Trackstar is a Unified API that provides standard endpoints for Supply Chain
    Logistics. We currently offer an API for Warehouse Management Systems (WMS).
  title: Trackstar API
  version: 0.1.0
servers:
  - description: Trackstar API
    url: https://production.trackstarhq.com
security: []
tags: []
externalDocs:
  description: Trackstar API Documentation
  url: https://docs.trackstarhq.com
paths:
  /cart/products:
    get:
      tags:
        - cart
        - Products
      summary: Get All Cart Products
      description: >-
        Returns all Products for the Cart connection associated with the
        provided access token.
      operationId: get_cart_get_products
      parameters:
        - in: header
          name: x-trackstar-api-key
          description: Your organization-level Trackstar API key.
          schema:
            type: string
            example: <x-trackstar-api-key>
          required: true
        - in: header
          name: x-trackstar-access-token
          description: >-
            Your user's access token for a specific integration (ShipHero,
            Extensiv, etc).
          schema:
            type: string
            example: <x-trackstar-access-token>
          required: true
        - in: query
          name: page_token
          description: >-
            The page token to use to retrieve the next page of results. If this
            field is omitted, there are no subsequent pages.
          schema:
            type:
              - string
              - 'null'
            example: page_token
          required: false
        - in: query
          name: limit
          description: The maximum number of items to return. The default is 1000.
          schema:
            type: integer
            minimum: 1
            maximum: 1000
            example: 1000
          required: false
        - in: query
          name: ids
          schema:
            $ref: '#/components/schemas/CartProductIdsQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: created_date
          description: >-
            Use this parameter to retrieve items filtered to a specific date
            range. For example, to get all items between 2023-03-10 and
            2023-03-22, you would send
            `created_date[gte]=2023-03-10T00:00:00Z&created_date[lte]=2023-03-22T00:00:00Z.`
            See the [filtering docs](/how-to-guides/about-the-api#filtering) for
            more. The date format must always be YYYY-MM-DDTHH:MM:SSZ. 
             Note: it is much more efficient to use a combination of `gte`/`lte` than it is to use `gt`/`lt`.
          schema:
            $ref: '#/components/schemas/CartProductCreated_DateQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: updated_date
          description: Same syntax as `created_date`.
          schema:
            $ref: '#/components/schemas/CartProductUpdated_DateQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: trackstar_created_date
          description: Same syntax as `created_date`.
          schema:
            $ref: '#/components/schemas/CartProductTrackstar_Created_DateQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: trackstar_updated_date
          description: Same syntax as `created_date`.
          schema:
            $ref: '#/components/schemas/CartProductTrackstar_Updated_DateQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: trackstar_tags
          description: >-
            Filter by trackstar tags. Dict-shaped tags should be queried as
            "key:value" strings.
          schema:
            $ref: '#/components/schemas/CartProductTrackstar_Tags_FlatQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: sku
          description: The SKU of the product.
          schema:
            $ref: '#/components/schemas/CartProductSkuQueryParam'
          required: false
          style: deepObject
          explode: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CartProductsListEndpoint'
          description: Successful response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
components:
  schemas:
    CartProductIdsQueryParam:
      type: object
      properties:
        in:
          type: array
          description: >-
            A comma-separated list of resource IDs. If provided, all other query
            params are ignored.
          example: resource_id_1,resource_id_2
          items:
            type: string
            description: ''
      required:
        - in
      additionalProperties: false
      title: CartProductIdsQueryParam
    CartProductCreated_DateQueryParam:
      type: object
      properties:
        eq:
          type: string
          format: date-time
          description: ''
          example: '2023-03-15T13:45:30Z'
        neq:
          type: string
          format: date-time
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        gt:
          type: string
          format: date-time
          description: ''
        gte:
          type: string
          format: date-time
          description: ''
        lt:
          type: string
          format: date-time
          description: ''
        lte:
          type: string
          format: date-time
          description: ''
      additionalProperties: false
      title: CartProductCreated_DateQueryParam
    CartProductUpdated_DateQueryParam:
      type: object
      properties:
        eq:
          type: string
          format: date-time
          description: ''
          example: '2023-03-15T13:45:30Z'
        neq:
          type: string
          format: date-time
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        gt:
          type: string
          format: date-time
          description: ''
        gte:
          type: string
          format: date-time
          description: ''
        lt:
          type: string
          format: date-time
          description: ''
        lte:
          type: string
          format: date-time
          description: ''
      additionalProperties: false
      title: CartProductUpdated_DateQueryParam
    CartProductTrackstar_Created_DateQueryParam:
      type: object
      properties:
        eq:
          type: string
          format: date-time
          description: ''
          example: '2023-03-15T13:45:30Z'
        neq:
          type: string
          format: date-time
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        gt:
          type: string
          format: date-time
          description: ''
        gte:
          type: string
          format: date-time
          description: ''
        lt:
          type: string
          format: date-time
          description: ''
        lte:
          type: string
          format: date-time
          description: ''
      additionalProperties: false
      title: CartProductTrackstar_Created_DateQueryParam
    CartProductTrackstar_Updated_DateQueryParam:
      type: object
      properties:
        eq:
          type: string
          format: date-time
          description: ''
          example: '2023-03-15T13:45:30Z'
        neq:
          type: string
          format: date-time
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        gt:
          type: string
          format: date-time
          description: ''
        gte:
          type: string
          format: date-time
          description: ''
        lt:
          type: string
          format: date-time
          description: ''
        lte:
          type: string
          format: date-time
          description: ''
      additionalProperties: false
      title: CartProductTrackstar_Updated_DateQueryParam
    CartProductTrackstar_Tags_FlatQueryParam:
      type: object
      properties:
        contains:
          type: array
          description: Comma-separated.
          example: tag_1,tag_2:value_2
          items:
            type: string
            description: ''
        not_contains:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
      additionalProperties: false
      title: CartProductTrackstar_Tags_FlatQueryParam
    CartProductSkuQueryParam:
      type: object
      properties:
        eq:
          type: string
          description: ''
          example: sku
        neq:
          type: string
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
        contains:
          type: string
          description: ''
        not_contains:
          type: string
          description: ''
        is_null:
          type: boolean
          description: Filter by whether the field is null.
          example: true
      additionalProperties: false
      title: CartProductSkuQueryParam
    CartProductsListEndpoint:
      type: object
      properties:
        data:
          type: array
          description: ''
          items:
            $ref: '#/components/schemas/CartProductApiItemSchema'
        next_token:
          type:
            - string
            - 'null'
          description: >-
            See [pagination](/how-to-guides/about-the-api#pagination) for more
            details.
          example: next_token
        total_count:
          type: integer
          description: The number of items returned.
          example: 1
      required:
        - data
        - next_token
        - total_count
      additionalProperties: false
      title: CartProductsListEndpoint
    ValidationError:
      properties:
        error:
          type: string
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
      required:
        - error
      type: object
      title: ValidationError
    CartProductApiItemSchema:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the product.
          example: product_id
        created_date:
          type: string
          format: date-time
          description: The date the cart product was created.
          example: '2022-01-01T00:00:00Z'
        updated_date:
          type: string
          format: date-time
          description: The date the cart product was last updated.
          example: '2022-01-02T05:05:05Z'
        name:
          type: string
          description: The name of the product.
          example: product_name
        sku:
          type:
            - string
            - 'null'
          description: The SKU of the product.
          example: sku
        gtin:
          type:
            - string
            - 'null'
          description: The GTIN of the product.
          example: gtin
        parent_product_id:
          type: string
          description: >-
            If this is a variant, the ID of the parent product. If this is a
            parent product, this field should be the same as ID.
        is_kit:
          type: boolean
          description: ''
          example: true
        active:
          type: boolean
          description: Whether the product is active.
          example: true
        image_url:
          type:
            - string
            - 'null'
          description: The URL of the product's image.
          example: https://example.com/image.jpg
        price:
          type:
            - number
            - 'null'
          description: >-
            The price of the product if it is a variant. Not the source of truth
            for parent products.
          example: 10
        unit_cost:
          type:
            - number
            - 'null'
          description: >-
            The unit cost of the product if it is a variant. Not the source of
            truth for parent products.
          example: 10
        inventory:
          type:
            - integer
            - 'null'
          description: >-
            The inventory of the product if it is a variant. Not the source of
            truth for parent products.
          example: 10
        inventory_by_warehouse_id:
          type: object
          description: Inventory broken down by warehouse.
          example:
            warehouse_id_1: 6
            warehouse_id_2: 4
          additionalProperties:
            type: integer
            description: Inventory for that warehouse.
            example: 5
        measurements:
          $ref: '#/components/schemas/ProductMeasurements'
        tags:
          type: array
          description: >-
            A list of tags associated with the product. Tags that are
            represented as key-value pairs in the underlying system will be
            represented as a single string formatted as `key:value`.
          example:
            - tag_0
          items:
            type: string
            description: A tag associated with the product.
            example: tag_0
        categories:
          type: array
          description: >-
            A list of category names the product belongs to. For platforms with
            a hierarchical category tree, each level is a separate element with
            the leaf last (e.g. ["Apparel", "Shoes", "Running"]). For platforms
            with a single scalar product type, a single-element list.
          example:
            - Apparel
            - Shoes
            - Running
          items:
            type: string
            description: A category name.
            example: Apparel
        external_system_url:
          type:
            - string
            - 'null'
          description: >-
            URL link to the cart product in the external system (WMS/Freight
            etc).
          example: https://example.com/cartproduct/123
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        additional_fields:
          type: object
          description: Integration-specific fields
          example:
            key: value
          additionalProperties: {}
        trackstar_created_date:
          type: string
          format: date-time
          description: ''
        trackstar_updated_date:
          type: string
          format: date-time
          description: ''
      required:
        - active
        - additional_fields
        - categories
        - created_date
        - external_system_url
        - gtin
        - id
        - image_url
        - inventory
        - inventory_by_warehouse_id
        - is_kit
        - measurements
        - name
        - parent_product_id
        - price
        - sku
        - tags
        - trackstar_created_date
        - trackstar_tags
        - trackstar_updated_date
        - unit_cost
        - updated_date
      additionalProperties: false
      title: CartProductApiItemSchema
    ProductMeasurements:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the product.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the product.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: ProductMeasurements

````